Public Member Functions | Public Attributes | Friends | List of all members
ActaParserInternal::Option Struct Reference

Internal: class used to store the optional preferences in ActaParser. More...

## Public Member Functions
| Option (int flags=0)
| constructor More...

## Public Attributes
int | m_flags
| the flags More...

## Friends
std::ostream & | operator<< (std::ostream &o, Option const &opt)
| operator<< More...

## Detailed Description

Internal: class used to store the optional preferences in ActaParser.

## Constructor & Destructor Documentation

## ◆ Option()

ActaParserInternal::Option::Option | ( | int | flags = `0` | ) |
| inline explicit

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Option const & | opt
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int ActaParserInternal::Option::m_flags

the flags

The documentation for this struct was generated from the following file:

- ActaParser.cxx